﻿::-webkit-scrollbar {
    width: 10px !important;
}

header {
    font-size: inherit !important;
}

.elementor-widget-image img {
    display: block;
}

.elementor-widget-theme-site-logo img {
    height: auto;
    width: 100%;
}

img[width][height] {
    aspect-ratio: attr(width) / attr(height);
}

@media (max-width:991px) {
    #mainDivOnline_25466100 {
        bottom: 85px !important;
        z-index: 999 !important;
    }

    .launch-point-container,
    #etsButton {
        z-index: 999 !important;
    }
}

#Mobile-SRP-Menu-FullScreen {
    z-index: 999999999 !important;
}

.elementor-kit-5 .search-tools-wrapper a {
    color: unset;
    font-size: unset;
}

.elementor-kit-16 h3 {
    color: unset;
}

.elementor-kit-5 .main-slider-block a,
.elementor-kit-6 .main-slider-block a,
.elementor-kit-7 .main-slider-block a,
.elementor-kit-8 .main-slider-block a,
.elementor-kit-9 .main-slider-block a {
    color: unset;
    font-size: unset;
}

.elementor-kit-5 #Div-Before-Inventory a,
.elementor-kit-6 #Div-Before-Inventory a,
.elementor-kit-7 #Div-Before-Inventory a,
.elementor-kit-8 #Div-Before-Inventory a,
.elementor-kit-9 #Div-Before-Inventory a {
    color: unset;
    font-size: unset;
}

.menu-dropdown-content .extra-controls-left .js-input, .menu-dropdown-content .extra-controls-right .js-input {
    background-color: white !important;
    box-shadow: none !important;
}

/* ===== SRP Buttons ===== */
    .btn-check + .btn, .btn-check + .btn:hover {
    color: white !important;
    background-color: var(--theme) !important;
    border: 2px solid var(--theme) !important;
}

.switch-btn .btn-check:checked + .btn, .switch-btn .btn-check:active + .btn, .switch-btn .btn:active, .switch-btn .btn.active, .switch-btn .btn.show {
    background: #fff !important;
    border: 1px solid #f0f0f0;
    box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.16);
    color: #555 !important;
}

.btn-check:checked + .btn, .btn.active, .btn.show, .btn:first-child:active, :not(.btn-check) + .btn:active {
    color: var(--theme) !important;
    background-color: var(--theme);
    border-color: var(--theme);
}

.switch-btn .btn {
    color: white !important;
    background-color: var(--theme);
    border-color: var(--theme);
}

.switch-btn :not(.sbs-improved-ctas-block) .btn {
    background-color: initial !important;
    border: initial !important;
}

.search-tools-wrapper .btn-primary, .search-tools-wrapper .btn-primary:focus, .search-tools-wrapper .btn-primary:hover {
    color: white !important;
    background-color: var(--theme) !important;
    border-color: var(--theme) !important;
}

.vehicle-header .elementor-kit-5 button, #copy_and_share_btn {
    background-color: initial !important;
    border: initial !important;
}

.vehicle-item .delivery-info-alt .was-label {
    color: inherit;
}

#featured_inventory_container .card-name .stretched-link {
    color: var(--theme) !important;
}

#Mobile-SRP-Menu-FullScreen .modal-fullscreen .modal-header button {
    width: 100px !important;
}

/* === VDP === */
.title-lg {
    font-size: 2rem !important;
}

.btn-book .icon, .title-md {
    font-size: 2rem !important;
}

.slider-sidebar .btn-primary,
.slider-sidebar .btn-primary:focus,
.slider-sidebar .btn-primary:hover {
    background-color: var(--theme);
    color: white;
    border: none;
}

.slider-sidebar .btn {
    width: 100%;
    border-radius: 6px;
    display: flex;
    justify-content: space-between;
    padding: 0.475rem 1.125rem;
    font-size: 1.20rem;
}

.sbs-improved-icons-cont button {
    background-color: transparent !important;
    border: none !important;
}

    .sbs-improved-icons-cont button:hover {
        background-color: transparent !important;
        border: none !important;
    }

.vehicle-meta .icon-btn {
    background-color: unset !important;
}

.custom-form-content .form-control, .custom-form-content .form-select {
    box-shadow: 2px 3px 10px rgba(0, 0, 0, 0.15);
    border-color: white;
    color: black !important;
    letter-spacing: -0.01em;
    border-radius: 0;
    background-color: white;
}

/* === Extant Pages === */
.form-control:not(.hero-banner-btn *):not(#VDP-Searchinput-Container *):not(.search-bar-wrapper *),
.form-select:not(.hero-banner-btn *):not(#VDP-Searchinput-Container *):not(.search-bar-wrapper *) {
    border-radius: 0 !important;
    background-color: var(--light) !important;
    padding: 0.625rem 0.875rem !important;
    font-size: 0.875rem !important;
    border: var(--bs-border-width) solid var(--bs-border-color) !important;
}

.modal-content .form-control:not(.hero-banner-btn *):not(#VDP-Searchinput-Container *):not(.search-bar-wrapper *),
.modal-content .form-select:not(.hero-banner-btn *):not(#VDP-Searchinput-Container *):not(.search-bar-wrapper *) {
    border-radius: 0 !important;
    background-color: var(--light) !important;
    padding: 0.625rem 0.875rem !important;
    font-size: 0.875rem !important;
    border: var(--bs-border-width) solid var(--bs-border-color) !important;
}

.modal-content-box-footer a {
    color: var(--theme);
}

.modal-backdrop {
    background-color: #000 !important;
    z-index: 99998 !important;
}

    .modal-backdrop.show {
        opacity: 0.78 !important;
    }

.modal {
    z-index: 999999999 !important;
}

.modal-content-box-footer .btn-theme, .modal-content-box-footer .btn-theme:focus, .modal-content-box-footer .btn-theme:hover {
    border-radius: 1.875rem;
    background-color: var(--theme);
    color: white;
    border: 2px solid var(--theme);
}

.btn-primary, .btn-primary:focus, .btn-primary:hover {
    color: white !important;
    background-color: var(--theme);
    border-color: var(--theme) !important;
}

/* === Modals === */
.modal .btn-primary, .modal .btn-primary:focus, .modal .btn-primary:hover {
    background-color: var(--theme);
    color: white !important;
    border: 2px solid var(--theme) !important;
}

.modal-body .btn-check-primary,
.modal-body .form-control,
.modal-body .form-select {
    border-radius: 0;
    background-color: #fff !important;
    font-size: 20px !important;
}

.modal-title {
    font-weight: 600 !important;
    font-size: 42px !important;
    letter-spacing: -0.01em !important;
}

.modal-subtitle {
    font-weight: 300 !important;
    font-size: 27px !important;
    letter-spacing: -0.01em !important;
}

.custom-form-box h1,
.custom-form-box h2,
.custom-form-box h3,
.custom-form-box h4,
.wizard-box .btn {
    font-family: Oswald, sans-serif;
    font-weight: 400 !important;
}

.modal-body {
    background: #f7f7f7;
    margin: 20px 70px 66px;
    padding: 14px 38px 0;
}

    .modal-body .form-control {
        padding: 10px 14px;
    }

.popup-cta-btn {
    margin-top: 0px;
    position: absolute !important;
    bottom: -10px;
    border-radius: 10px !important;
    color: white !important;
    left: 50%;
    transform: translate(-50%, -50%);
}

@media (max-width: 991.98px) {
    .modal-close {
        top: 16px;
        right: 12px;
        font-size: 38px !important;
        width: 25px !important;
        height: 25px !important;
    }

        .modal-close i {
            font-size: 15px !important;
            color: white !important;
        }

    .modal-content {
        margin-top: 95px;
    }

    .modal-header::after {
        width: 144px !important;
    }

    .modal-title {
        font-size: 24px !important;
    }

    .modal-subtitle {
        font-size: 15px !important;
    }

    .modal-body {
        margin: 0;
        padding: 14px 14px 4px;
    }

        .modal-body .btn-check-primary,
        .modal-body .form-control,
        .modal-body .form-select {
            font-size: 18px !important;
        }

    .modal-content-box-title {
        font-size: 16px !important;
        border-bottom: 1px solid var(--theme);
    }
}

.modal-close {
    position: absolute;
    top: -25px;
    right: 15px;
    background-color: black !important;
    outline: 0;
    border: 0;
    width: 50px !important;
    height: 50px !important;
    font-size: 35px !important;
    color: white !important;
    transition: 0.2s ease-in-out;
    border: none !important;
    border-radius: 10px !important;
    box-shadow: 2px 2px 15px 2px rgb(160 143 143 / 70) !important;
}

.modal-title,
.modal-subtitle,
.modal-content-box-title {
    color: #626262 !important;
}

.section-title .title-lg {
    color: unset !important;
}

.form-check-input:checked {
    background-color: var(--theme) !important;
    border-color: var(--theme);
}

#ignitify-chat-bubble-button-iframe {
    z-index: 999999 !important;
}

.shadow-box .js-input {
    box-shadow: none !important;
}